Bug 180536 - CVE-2006-0591 postgresql pgcrypt minor salt generation flaw
CVE-2006-0591 postgresql pgcrypt minor salt generation flaw
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: postgresql (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Tom Lane
David Lawrence
impact=low,public=20060207,reported=2...
: Security
Depends On:
Blocks: 170416
  Show dependency treegraph
 
Reported: 2006-02-08 15:49 EST by Josh Bressers
Modified: 2013-07-02 23:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0526
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 15:45:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-02-08 15:49:34 EST
postgresql pgcrypt minor salt generation flaw

http://marc.theaimsgroup.com/?l=bugtraq&m=113933370118193&w=2

There is a signedness error in the way postgresql generated the
password salts.  Worst case scenario is there are only half as many
salts available as there should be.  This is only an issue if someone
can steal the hashed postgresql passwords, and even then it will still
take a VERY long time to crack these.  I don't know which algorithm we
use by default, but if it should take 2 weeks to crack, it will really
only take 1 week (probably longer).  Part of the problem with fixing
this is the already generated passwords are already weak, fixing this
will only affect new passwords..  Taking into account it's only
database passwords, I'm assigning this "low"

Here is the patch.

http://cvsweb.openwall.com/cgi/cvsweb.cgi/Owl/packages/glibc/crypt_blowfish/crypt_gensalt.c.diff?r1=1.1;r2=1.2


This issue also affects RHEL3
Comment 1 Tom Lane 2006-02-16 21:01:24 EST
This has been fixed upstream in postgresql 7.4.11 (relevant to RHEL4) and 7.3.13 (relevant to RHEL3).  
There are a fair number of other serious bugs fixed in the upstream updates since we last turned 
postgresql in RHEL.  I think we ought to plan on pushing the updated versions out in the next quarterly 
update cycle.  This particular problem does not seem severe enough to justify an async security erratum, 
though.
Comment 4 Red Hat Bugzilla 2006-05-23 15:45:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0526.html

Note You need to log in before you can comment on or make changes to this bug.